Summary:	X Randr extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Randr
Name:		xorg-lib-libXrandr
Version:	1.5.4
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXrandr-%{version}.tar.xz
# Source0-md5:	24e0b72abe16efce9bf10579beaffc27
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel >= 1.6
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-randrproto-devel >= 1.5
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libX11 >= 1.6
Obsoletes:	libXrandr < 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Resize and Rotate extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Resize and Rotate, służącego do zmiany
rozmiaru i obracania ekranu X.

%package devel
Summary:	Header files for libXrandr library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXrandr
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXrender-devel
Requires:	xorg-proto-randrproto-devel >= 1.5
Obsoletes:	libXrandr-devel < 1.1

%description devel
X Resize and Rotate extension library.

This package contains the header files needed to develop programs that
use libXrandr.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Resize and Rotate, służącego do zmiany
rozmiaru i obracania ekranu X.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXrandr.

%package static
Summary:	Static libXrandr libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXrandr
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXrandr-static < 1.1

%description static
X Resize and Rotate extension library.

This package contains the static libXrandr library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Resize and Rotate, służącego do zmiany
rozmiaru i obracania ekranu X.

Pakiet zawiera statyczną bibliotekę libXrandr.

%prep
%setup -q -n libXrandr-%{version}

# support __libmansuffix__ with "x" suffix (per FHS 2.3)
%{__sed} -i -e 's,\.so man__libmansuffix__/,.so man3/,' man/*.man

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXrandr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXrandr.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXrandr.so
%{_libdir}/libXrandr.la
%{_includedir}/X11/extensions/Xrandr.h
%{_pkgconfigdir}/xrandr.pc
%{_mandir}/man3/XRR*.3*
%{_mandir}/man3/Xrandr.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXrandr.a
%changelog
* Sat Oct 07 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXrandr.git;a=log;h=master

* Sat Oct 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 049fe06
- updated to 1.5.4

* Sun Nov 20 2022 Jakub Bogusz <qboosh@pld-linux.org> c63eee1
- updated to 1.5.3

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 2bf0107
- updated to 1.5.2

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 549b00c
- updated to 1.5.1 (bounds checking fixes)

* Sun May 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 70995e4
- updated to 1.5.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4cf1abd
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 9ec6831
- updated to 1.4.2

* Wed Jun 05 2013 Jakub Bogusz <qboosh@pld-linux.org> cbd82e8
- ensure proper .so man links are created

* Sat Jun 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 05aefad
- up to 1.4.1; fixes CVE-2013-1986

* Wed Feb 13 2013 Tomasz Pala <gotar@pld-linux.org> a9ea473
- R: xorg-lib-libX11 having _XGetRequest

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 4a7de08
- updated to 1.4.0

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> c697f85
- updated to 1.3.2

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> 4509a93
- updated to 1.3.1

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 62b5232
- rebuild
- rel 3

* Mon Jun 15 2009 hawk <hawk@pld-linux.org> c892bb3
- release 2

* Mon Mar 23 2009 Jakub Bogusz <qboosh@pld-linux.org> 58e0b15
- xorg macros 1.2 required

* Mon Mar 23 2009 Jakub Bogusz <qboosh@pld-linux.org> 47d28a2
- updated randrproto dep in -devel

* Fri Mar 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7016fc9
- up to 1.3.0

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 5e82758
- updated to 1.2.99.4
- proper xorg-proto-randrproto-devel version in BR
- fixed previous commit msg

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 1972241
- updated to 1.2.99.3

